# Interface FocusListener

All Known Implementing Classes:
  `FocusAdapter`

public interface FocusListener
Classes which implement this interface provide methods that deal with the events that are generated as controls gain and lose focus.

After creating an instance of a class that implements this interface it can be added to a control using the `addFocusListener` method and removed using the `removeFocusListener` method. When a control gains or loses focus, the appropriate method will be invoked.

See Also:
  - `FocusAdapter`
  - `FocusEvent`

## Method Summary

Modifier and Type
Method
Description
`void`
`focusGained(FocusEvent event)`
Sent when a control gets focus.
`static FocusListener`
`focusGainedAdapter(Consumer<FocusEvent> c)`
Static helper method to create a `FocusListener` for the `focusGained(FocusEvent e)`) method with a lambda expression.
`void`
`focusLost(FocusEvent event)`
Sent when a control loses focus.
`static FocusListener`
`focusLostAdapter(Consumer<FocusEvent> c)`
Static helper method to create a `FocusListener` for the `focusLost(FocusEvent e)`) method with a lambda expression.

## Method Details

### focusGained

void focusGained(FocusEvent event)
Sent when a control gets focus.

Parameters:
  `event` - an event containing information about the focus change

### focusLost

void focusLost(FocusEvent event)
Sent when a control loses focus.

Parameters:
  `event` - an event containing information about the focus change

### focusGainedAdapter

static FocusListener focusGainedAdapter(Consumer<FocusEvent> c)
Static helper method to create a `FocusListener` for the `focusGained(FocusEvent e)`) method with a lambda expression.

Parameters:
  `c` - the consumer of the event
Returns:
  FocusListener
Since:
  4.1

### focusLostAdapter

static FocusListener focusLostAdapter(Consumer<FocusEvent> c)
Static helper method to create a `FocusListener` for the `focusLost(FocusEvent e)`) method with a lambda expression.

Parameters:
  `c` - the consumer of the event
Returns:
  FocusListener
Since:
  4.1